﻿
'______________________________________________

'                      A D O    R O U T I N E S
'                        Created 8/11/2010
'______________________________________________

'This class holds some common methods I can use to manage my ADO objects. The members are defined as Friend so
'you can access them from any class within this solution. And since I used the Shared keyword, you can use them
'without instantiating a new object from ADORoutines!  You can just call them like any sub in your main form.

'Be careful not to confuse Conn (connection object) with the connString
Option Explicit On

'---import the usual suspects
Imports System.Data
Imports System.Data.OleDb

Public Class ADORoutines

#Region "Properties"

    '---the connection string which defines the type and location of the DB
    Friend Shared _conn As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source= " & "..\..\customers.mdb"
    Friend Shared ReadOnly Property connString() As String
        Get
            Return _conn
        End Get
    End Property

    '---the SQL select string...what records do we want?
    Friend Shared _sqlSelect As String = "SELECT * from Customers ORDER BY LastName"
    Friend Shared ReadOnly Property SQL_SELECT() As String
        Get
            Return _sqlSelect
        End Get
    End Property

#End Region

#Region "ADO Objects"

    '---these are declared here so I can use them from anywhere
    Friend Shared customersDS As New DataSet
    Friend Shared Conn As New OleDbConnection(connString)    'make sure connString is created before this line of code
    Friend Shared dataAdapter As New OleDbDataAdapter(SQL_SELECT, Conn)    'ditto
#End Region

End Class
