﻿'______________________________________________

'                      G R I D   R O U T I N E S
'                                8/11/2010
'______________________________________________

'This class holds some common methods I can use to format Mr. Grid! Since I created FormatGrid as a Friend,
'you can access it from any class within this solution. And since I used the Shared keyword, you can use this
'method without instantiating a new object from GridRoutine!  You can just call it like any sub in your main form.

Option Explicit On

Public Class GridRoutines
    Friend Shared Sub FormatGrid(ByVal myGrid As DataGridView)

        '---format header cells & alternating rows
        With myGrid
            .ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
            .AlternatingRowsDefaultCellStyle.BackColor = Color.Teal
            .AlternatingRowsDefaultCellStyle.ForeColor = Color.White
        End With

        '---change fonts/colors
        With myGrid.DefaultCellStyle
            .Font = New Font("Tahoma", 9)
            .ForeColor = Color.Blue
            .BackColor = Color.Beige
            .SelectionForeColor = Color.Yellow
            .SelectionBackColor = Color.Black
        End With


        '---change what column headers show
        With myGrid
            .Columns(0).HeaderText = "Customer ID"
            .Columns(1).HeaderText = "Last Name"
            .Columns(2).HeaderText = "First Name"
            .Columns(3).HeaderText = "Middle Init."
            .Columns(4).HeaderText = "Street"
            .Columns(8).HeaderText = "Telephone"
        End With


        '---more examples... create your own styles or set unitprice and TotalPrice cells to display using currency!
        'Dim highlightCellStyle As New DataGridViewCellStyle
        'highlightCellStyle.BackColor = Color.Red

        'Dim currencyCellStyle As New DataGridViewCellStyle
        'currencyCellStyle.Format = "C"
        'currencyCellStyle.ForeColor = Color.Green

        'With Me.myGrid
        '    .DefaultCellStyle.BackColor = Color.Beige
        '    .DefaultCellStyle.Font = New Font("Tahoma", 12)
        '    .Rows(3).DefaultCellStyle = highlightCellStyle
        '    .Rows(8).DefaultCellStyle = highlightCellStyle
        '    .Columns("UnitPrice").DefaultCellStyle = currencyCellStyle
        '    .Columns("TotalPrice").DefaultCellStyle = currencyCellStyle
        'End With


    End Sub

End Class
